List entities
curl --request GET \
--url https://api.getlemma.com/v0/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-07-01T09:30:00Z",
"name": "Riverside Family Medicine",
"structure": "professional_llc",
"npi": "1234567890",
"address": {
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
},
{
"id": "entity_Yd3hNx8cWqJ5Fp7m",
"created_at": "2026-07-01T14:12:00Z",
"name": "Summit Orthopedics",
"structure": "sole_prop",
"npi": null,
"address": {
"line1": "500 Alpine Way",
"line2": "",
"city": "Denver",
"state": "CO",
"postalCode": "80202"
}
}
],
"has_next": false,
"cursor": null
}
Entities
List entities
Retrieve a list of entities available to your API key.
GET
/
v0
/
entities
List entities
Retrieve a paginated list of entities associated with your organization. Use the
entity ID to access detailed information via the Get entity,
accounts, and mail
endpoints. Results are paginated.
Query parameters
integer
default:"20"
Maximum number of entities to return per page. Maximum is 100.
string
Pagination cursor for retrieving the next page of results. Returned as
cursor in the response. See pagination for
details.Response
boolean
Whether more entities exist beyond this page. Use the
cursor field to
retrieve the next page.string | null
Cursor to retrieve the next page of results. Null if this is the last page.
Pass this value as the
cursor query parameter in a subsequent request. See
pagination for details.object[]
The list of entity objects. Each object carries the same fields as the Get
entity response.
Show Entity object
Show Entity object
string
Unique identifier for the entity, prefixed with
entity_.string
ISO 8601 timestamp of when the entity was created.
string
The name of the entity or practice.
string
The entity’s legal structure. One of
fqhc, govt,
professional_corporation, professional_llc, llc, corporation,
partnership, sole_prop, or nonprofit.string | null
The entity’s 10-digit National Provider Identifier.
{
"data": [
{
"id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-07-01T09:30:00Z",
"name": "Riverside Family Medicine",
"structure": "professional_llc",
"npi": "1234567890",
"address": {
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
},
{
"id": "entity_Yd3hNx8cWqJ5Fp7m",
"created_at": "2026-07-01T14:12:00Z",
"name": "Summit Orthopedics",
"structure": "sole_prop",
"npi": null,
"address": {
"line1": "500 Alpine Way",
"line2": "",
"city": "Denver",
"state": "CO",
"postalCode": "80202"
}
}
],
"has_next": false,
"cursor": null
}
⌘I